lqt_codec_info_s Struct Reference
Codec registry

Structure describing a codec. More...

`#include <lqt_codecinfo.h>`

## Data Fields

int | compatibility_flags
char * | name
char * | long_name
char * | description
lqt_codec_type | type
lqt_codec_direction | direction
int | num_fourccs
char ** | fourccs
int | num_wav_ids
int * | wav_ids
int | num_encoding_parameters
lqt_parameter_info_t * | encoding_parameters
int | num_decoding_parameters
lqt_parameter_info_t * | decoding_parameters
char * | module_filename
int | module_index
uint32_t | file_time
char * | gettext_domain
char * | gettext_directory
int | num_encoding_colormodels
int * | encoding_colormodels
int | num_image_sizes
lqt_image_size_t * | image_sizes
lqt_compression_id_t | compression_id
struct lqt_codec_info_s * | next

## Detailed Description

Structure describing a codec.

## Field Documentation

## compatibility_flags

int lqt_codec_info_s::compatibility_flags

Compatibility flags (not used right now)

## name

char* lqt_codec_info_s::name

Name of the codec (used internally)

## long_name

char* lqt_codec_info_s::long_name

More human readable name of the codec

## description

char* lqt_codec_info_s::description

Description

## type

lqt_codec_type lqt_codec_info_s::type

Type (audio or video)

## direction

lqt_codec_direction lqt_codec_info_s::direction

Direction (encode, decode or both)

## num_fourccs

int lqt_codec_info_s::num_fourccs

Number of fourccs (Four character codes), this codec can handle

## fourccs

char** lqt_codec_info_s::fourccs

Fourccs this codec can handle

## num_wav_ids

int lqt_codec_info_s::num_wav_ids

Number of M$ wav ids, this codec can handle

## wav_ids

int* lqt_codec_info_s::wav_ids

Wav ids, this codec can handle (for AVI only)

## num_encoding_parameters

int lqt_codec_info_s::num_encoding_parameters

Number of encoding parameters

## encoding_parameters

lqt_parameter_info_t* lqt_codec_info_s::encoding_parameters

Encoding parameters

## num_decoding_parameters

int lqt_codec_info_s::num_decoding_parameters

Number of decoding parameters

## decoding_parameters

lqt_parameter_info_t* lqt_codec_info_s::decoding_parameters

Decoding parameters

## module_filename

char* lqt_codec_info_s::module_filename

Filename of the module

## module_index

int lqt_codec_info_s::module_index

Index inside the module

## file_time

uint32_t lqt_codec_info_s::file_time

File modification time of the module

## gettext_domain

char* lqt_codec_info_s::gettext_domain

First argument to bindtextdomain()

## gettext_directory

char* lqt_codec_info_s::gettext_directory

Second argument to bindtextdomain()

## num_encoding_colormodels

int lqt_codec_info_s::num_encoding_colormodels

Number of supported encoding colormodels (since 1.1.2)

## encoding_colormodels

int* lqt_codec_info_s::encoding_colormodels

Supported encoding colormodels (since 1.1.2)

## num_image_sizes

int lqt_codec_info_s::num_image_sizes

Number of supported image sizes (since 1.2.0)

## image_sizes

lqt_image_size_t* lqt_codec_info_s::image_sizes

Image sizes (since 1.2.0)

## compression_id

lqt_compression_id_t lqt_codec_info_s::compression_id

Supported compression ID

## next

struct lqt_codec_info_s* lqt_codec_info_s::next

For chaining (used internally only)

The documentation for this struct was generated from the following file:

- lqt_codecinfo.h